Subject: [PATCHv9 1/5] mmc: dw_mmc: Slot quirk "disable-wp" is deprecated.

From: [email-masked] (Jaehoon Chung)
Date: Fri, 01 Aug 2014 13:26:43 +0900

Hi, All.

It seems too late that this patch-set is merged into linux-3.16.
Also there are some conflicts in device-tree. (I will remove the conflicts)
So if everybody is ok, I will rebase on linux-next after released linux-3.16.
At that time, i will send this patch-set to stable kernel, too.
how about?
And I want to know who can apply this patch-set(#3~#5).

Best Regards,
Jaehoon Chung

On 08/01/2014 03:36 AM, Kukjin Kim wrote:
> On 08/01/14 01:02, Doug Anderson wrote:
>> Jaehoon
>>
>> On Wed, Jul 30, 2014 at 10:35 PM, Jaehoon Chung<[email-masked]>  wrote:
>>> Slot quirks "disable-wp" is deprecated.
>>> Instead, use the host quirk "disable-wp".
>>> (Because the slot-node is removed in dt-file.)
>>>
>>> Signed-off-by: Jaehoon Chung<[email-masked]>
>>> Tested-by: Sachin Kamat<[email-masked]>
>>> Acked-by: Seungwon Jeon<[email-masked]>
>>> ---
>>>   drivers/mmc/host/dw_mmc.c  |   11 +++++++++--
>>>   include/linux/mmc/dw_mmc.h |    2 ++
>>>   2 files changed, 11 insertions(+), 2 deletions(-)
>>
>> Thanks for taking my suggestion and making it backward compatible.
>> This looks great to me.  It tested this in both the backward
>> compatible way (with the warning) and the non-backward compatible way.
>> I think we should land and patch #2 ASAP and then we can land the rest
>> of the series as SoC maintainers see fit.
>>
> Yes, right if we don't want to see useless merge conflicts...
> 
> When I sent ack on exynos stuff, there was no conflict with my tree but happens it now.
> 
> - Kukjin
> 
> 
>> Reviewed-by: Doug Anderson<[email-masked]>
>> Tested-by: Doug Anderson<[email-masked]>
>